# PHTTPConnectionInfo Class Reference

This object describes the connectiono associated with a HyperText Transport Protocol request. More...

`#include <http.h>`

Inheritance diagram for PHTTPConnectionInfo:

List of all members.

## Public Member Functions

| PHTTPConnectionInfo ()
PHTTP::Commands | GetCommandCode () const
const PString & | GetCommandName () const
const PURL & | GetURL () const
const PMIMEInfo & | GetMIME () const
void | SetMIME (const PString &tag, const PString &value)
PBoolean | IsCompatible (int major, int minor) const
bool | IsPersistent () const
bool | WasPersistent () const
bool | IsProxyConnection () const
int | GetMajorVersion () const
int | GetMinorVersion () const
long | GetEntityBodyLength () const
PTimeInterval | GetPersistenceTimeout () const
| Get the maximum time a persistent connection may persist.
void | SetPersistenceTimeout (const PTimeInterval &t)
| Set the maximum time a persistent connection may persist.
unsigned | GetPersistenceMaximumTransations () const
| Get the maximum number of transations (GET/POST etc) for persistent connection.
void | SetPersistenceMaximumTransations (unsigned m)
| Set the maximum number of transations (GET/POST etc) for persistent connection.
const PMultiPartList & | GetMultipartFormInfo () const
void | ResetMultipartFormInfo ()
PString | GetEntityBody () const

## Protected Member Functions

PBoolean | Initialise (PHTTPServer &server, PString &args)
bool | DecodeMultipartFormInfo ()

## Protected Attributes

PHTTP::Commands | commandCode
PString | commandName
PURL | url
PMIMEInfo | mimeInfo
bool | isPersistent
bool | wasPersistent
bool | isProxyConnection
int | majorVersion
int | minorVersion
PString | entityBody
long | entityBodyLength
PTimeInterval | persistenceTimeout
unsigned | persistenceMaximum
PMultiPartList | m_multipartFormInfo

## Detailed Description

This object describes the connectiono associated with a HyperText Transport Protocol request.

This information is required by handler functions on `PHTTPResource` descendant classes to manage the connection correctly.

## Constructor & Destructor Documentation

PHTTPConnectionInfo::PHTTPConnectionInfo | ( |  | ) |

## Member Function Documentation

bool PHTTPConnectionInfo::DecodeMultipartFormInfo | ( |  | ) | `[inline, protected]`

PHTTP::Commands PHTTPConnectionInfo::GetCommandCode | ( |  | ) | const`[inline]`

const PString& PHTTPConnectionInfo::GetCommandName | ( |  | ) | const`[inline]`

PString PHTTPConnectionInfo::GetEntityBody | ( |  | ) | const`[inline]`

long PHTTPConnectionInfo::GetEntityBodyLength | ( |  | ) | const`[inline]`

int PHTTPConnectionInfo::GetMajorVersion | ( |  | ) | const`[inline]`

const PMIMEInfo& PHTTPConnectionInfo::GetMIME | ( |  | ) | const`[inline]`

int PHTTPConnectionInfo::GetMinorVersion | ( |  | ) | const`[inline]`

const PMultiPartList& PHTTPConnectionInfo::GetMultipartFormInfo | ( |  | ) | const`[inline]`

unsigned PHTTPConnectionInfo::GetPersistenceMaximumTransations | ( |  | ) | const`[inline]`

Get the maximum number of transations (GET/POST etc) for persistent connection.

If this is zero then there is no maximum.

PTimeInterval PHTTPConnectionInfo::GetPersistenceTimeout | ( |  | ) | const`[inline]`

Get the maximum time a persistent connection may persist.

const PURL& PHTTPConnectionInfo::GetURL | ( |  | ) | const`[inline]`

PBoolean PHTTPConnectionInfo::Initialise | ( | PHTTPServer & | server,
|  | PString & | args |
| ) |  |  | `[protected]`

PBoolean PHTTPConnectionInfo::IsCompatible | ( | int | major,
|  | int | minor |
| ) |  |  | const

bool PHTTPConnectionInfo::IsPersistent | ( |  | ) | const`[inline]`

bool PHTTPConnectionInfo::IsProxyConnection | ( |  | ) | const`[inline]`

void PHTTPConnectionInfo::ResetMultipartFormInfo | ( |  | ) | `[inline]`

void PHTTPConnectionInfo::SetMIME | ( | const PString & | tag,
|  | const PString & | value |
| ) |  |  |

void PHTTPConnectionInfo::SetPersistenceMaximumTransations | ( | unsigned | m | ) | `[inline]`

Set the maximum number of transations (GET/POST etc) for persistent connection.

If this is zero then there is no maximum.

void PHTTPConnectionInfo::SetPersistenceTimeout | ( | const PTimeInterval & | t | ) | `[inline]`

Set the maximum time a persistent connection may persist.

bool PHTTPConnectionInfo::WasPersistent | ( |  | ) | const`[inline]`

## Member Data Documentation

PHTTP::Commands PHTTPConnectionInfo::commandCode `[protected]`

PString PHTTPConnectionInfo::commandName `[protected]`

PString PHTTPConnectionInfo::entityBody `[protected]`

long PHTTPConnectionInfo::entityBodyLength `[protected]`

bool PHTTPConnectionInfo::isPersistent `[protected]`

bool PHTTPConnectionInfo::isProxyConnection `[protected]`

PMultiPartList PHTTPConnectionInfo::m_multipartFormInfo `[protected]`

int PHTTPConnectionInfo::majorVersion `[protected]`

PMIMEInfo PHTTPConnectionInfo::mimeInfo `[protected]`

int PHTTPConnectionInfo::minorVersion `[protected]`

unsigned PHTTPConnectionInfo::persistenceMaximum `[protected]`

PTimeInterval PHTTPConnectionInfo::persistenceTimeout `[protected]`

PURL PHTTPConnectionInfo::url `[protected]`

bool PHTTPConnectionInfo::wasPersistent `[protected]`

The documentation for this class was generated from the following file:

- http.h